Subject: Re: Your work on FURY
From: Michael Schroeder <[email-masked]>
To: <[email-masked]>, Michale Schroeder <[email-masked]>
Cc: David Gilbert <[email-masked]>, Pasi Gabriella <[email-masked]>
Date: Fri, 20 Oct 2017 07:55:57 +0000

Dear Dr. Ait-Kaci,

thanks for your interest in our paper. It has been a very long time! I
quickly skimmed over your argument (the box in red in your document)
and it appears sensible to me. I did not pursue our work further and I have
no doubt that there are many ways how to improve or correct
the initial approach.

Best, Michael Schroeder

Hassan Aït-Kaci <[email-masked]> schrieb am Fr., 20. Okt. 2017 um
09:11 Uhr:

> Hi,
> This is forwarded after initial address "[email-masked]"
> <[email-masked]> bounced back.
> Hope this email "[email-masked]" <[email-masked]> is
> correct. (Copied all other previous addressees.)
> Sorry.
> -hak
>
>
> -------- Forwarded Message --------
> Subject: Your work on FURY
> Date: Fri, 20 Oct 2017 08:50:22 +0200
> From: Hassan Aït-Kaci <[email-masked]> <[email-masked]>
> Reply-To: [email-masked]
> To: David Gilbert <[email-masked]>
> <[email-masked]>, Michael Schroeder <[email-masked]>
> <[email-masked]>
> CC: Pasi Gabriella <[email-masked]> <[email-masked]>
>
> Dear Profs. Gilbert and Schroeder,
>
> I am taking the liberty of contacting you regarding your joint work, a
> couple of decades ago, on the fuzzy LP system FURY.
>
> I myself am no expert in Fuzzy Logic nor its use in implemented systems,
> having a more solid background and experience in (Constraint) Logic
> Programming (whether theory, implementation, or application). Lately, I
> have been interacting with Prof. Pasi
> <http://www.ir.disco.unimib.it/people/pasi-gabriella/> of U. of
> Milano-Bicocca (cc'ed), a well-known expert in approximate Information
> Retrieval on her use of Fuzzy Informatics for interpreting and filtering
> information despite its many possible distinct, though similar, encodings
> as data and knowledge.
>
> One such issue for us has been understanding previous work on "fuzzy
> unification". Our interest was on the CLP side of this topic. We eventually
> formalized some of our ideas proposing a general declarative scheme viewing
> fuzzy FOT unification and generalization (a.k.a. "anti-unification") as lattice-theoretic
> fuzzy constraint processing
> <http://hassan-ait-kaci.net/pdf/fuzfotlats-lopstr2017-slides.pdf>.
> However,  in the course of this research, we also reviewed the history of
> relevant work in related areas, taking notes as we proceeded. Your work on
> FURY was among those that interested us , so we reviewed its LP technology
> in some detail. (We paid less attention to your biological information
> processing applications - although we appreciate the relevance and worth of
> using the former for the latter.)
>
> Although the specifics of FURY turned out to be not exactly what we were
> after, your publications still gave us some appreciation of what had been
> realized at the cross of Fuzzy Logic and Unification technologies.
>
> While reviewing your work on FURY (essentially this paper
> <https://pdfs.semanticscholar.org/ce6c/380e804ac52124fbf72dcf57338aa660c307.pdf>
> - and correlates), there were a couple of questions that we could not
> resolve. Attempting to settle those, we wrote this short set of notes
> <http://hassan-ait-kaci.net/pdf/Notes-on-Fuzzy-Unification-by-Edit-Distance.pdf>
> describing your approach to fuzzy unification based on edit distance in
> some detail. Where we could not understand, we made some comments (in red).
> We would thus be very grateful if you would be so kind as to take a look at
> these notes and give us your comments confirming what we understood
> correctly as well as addressing our misunderstandings. (The reference
> citation numbers in the notes correspond to this bibliography
> <http://hassan-ait-kaci.net/pdf/references.pdf>).
>
> Thanks.
>
> Cordial Regards,
>
> --
> *-hak*
>
-- 
Michael Schroeder, Professor in Bioinformatics
CMCB/Biotec, TU Dresden, Germany
+49 351 463 400 60
[email-masked]